Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class PIVLTSImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.ANYImpl
                      org.eclipse.ohf.ihe.common.cdar2.impl.QTYImpl
                          org.eclipse.ohf.ihe.common.cdar2.impl.TS1Impl
                              org.eclipse.ohf.ihe.common.cdar2.impl.SXCMTSImpl
                                  org.eclipse.ohf.ihe.common.cdar2.impl.PIVLTSImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, ANY, PIVLTS, QTY, SXCMTS, TS1

    public class PIVLTSImpl

extends SXCMTSImpl
implements PIVLTS

An implementation of the model object 'PIVLTS'.

The following features are implemented:

- `Phase`
- `Period`
- `Alignment`
- `Institution Specified`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPeriod(PQ newPeriod, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPhase(IVLTS newPhase, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`java.lang.Object` | `getAlignment()`
`PQ` | `getPeriod()`
`IVLTS` | `getPhase()`
`boolean` | `isInstitutionSpecified()`
`boolean` | `isSetInstitutionSpecified()`
`void` | `setAlignment(java.lang.Object newAlignment)`
`void` | `setInstitutionSpecified(boolean newInstitutionSpecified)`
`void` | `setPeriod(PQ newPeriod)`
`void` | `setPhase(IVLTS newPhase)`
`java.lang.String` | `toString()`
`void` | `unsetInstitutionSpecified()`

Methods inherited from class org.eclipse.ohf.ihe.common.cdar2.impl.SXCMTSImpl
`getOperator, isSetOperator, setOperator, unsetOperator`

Methods inherited from class org.eclipse.ohf.ihe.common.cdar2.impl.TS1Impl
`getValue, setValue`

Methods inherited from class org.eclipse.ohf.ihe.common.cdar2.impl.ANYImpl
`getNullFlavor, setNullFlavor`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.SXCMTS
`getOperator, isSetOperator, setOperator, unsetOperator`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.TS1
`getValue, setValue`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getPhase

    public IVLTS getPhase()

  Specified by:
    `getPhase` in interface `PIVLTS`
  Returns:
    the value of the 'Phase' containment reference.
  See Also:
    `PIVLTS.setPhase(IVLTS)`, `CDAR2Package.getPIVLTS_Phase()`

### basicSetPhase

    public org.eclipse.emf.common.notify.NotificationChain basicSetPhase(IVLTS newPhase,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setPhase

    public void setPhase(IVLTS newPhase)

  Specified by:
    `setPhase` in interface `PIVLTS`
  Parameters:
    `newPhase` - the new value of the 'Phase' containment reference.
  See Also:
    `PIVLTS.getPhase()`

### getPeriod

    public PQ getPeriod()

  Specified by:
    `getPeriod` in interface `PIVLTS`
  Returns:
    the value of the 'Period' containment reference.
  See Also:
    `PIVLTS.setPeriod(PQ)`, `CDAR2Package.getPIVLTS_Period()`

### basicSetPeriod

    public org.eclipse.emf.common.notify.NotificationChain basicSetPeriod(PQ newPeriod,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setPeriod

    public void setPeriod(PQ newPeriod)

  Specified by:
    `setPeriod` in interface `PIVLTS`
  Parameters:
    `newPeriod` - the new value of the 'Period' containment reference.
  See Also:
    `PIVLTS.getPeriod()`

### getAlignment

    public java.lang.Object getAlignment()

  Specified by:
    `getAlignment` in interface `PIVLTS`
  Returns:
    the value of the 'Alignment' attribute.
  See Also:
    `PIVLTS.setAlignment(Object)`, `CDAR2Package.getPIVLTS_Alignment()`

### setAlignment

    public void setAlignment(java.lang.Object newAlignment)

  Specified by:
    `setAlignment` in interface `PIVLTS`
  Parameters:
    `newAlignment` - the new value of the 'Alignment' attribute.
  See Also:
    `PIVLTS.getAlignment()`

### isInstitutionSpecified

    public boolean isInstitutionSpecified()

  Specified by:
    `isInstitutionSpecified` in interface `PIVLTS`
  Returns:
    the value of the 'Institution Specified' attribute.
  See Also:
    `PIVLTS.isSetInstitutionSpecified()`, `PIVLTS.unsetInstitutionSpecified()`, `PIVLTS.setInstitutionSpecified(boolean)`, `CDAR2Package.getPIVLTS_InstitutionSpecified()`

### setInstitutionSpecified

    public void setInstitutionSpecified(boolean newInstitutionSpecified)

  Specified by:
    `setInstitutionSpecified` in interface `PIVLTS`
  Parameters:
    `newInstitutionSpecified` - the new value of the 'Institution Specified' attribute.
  See Also:
    `PIVLTS.isSetInstitutionSpecified()`, `PIVLTS.unsetInstitutionSpecified()`, `PIVLTS.isInstitutionSpecified()`

### unsetInstitutionSpecified

    public void unsetInstitutionSpecified()

  Specified by:
    `unsetInstitutionSpecified` in interface `PIVLTS`
  See Also:
    `PIVLTS.isSetInstitutionSpecified()`, `PIVLTS.isInstitutionSpecified()`, `PIVLTS.setInstitutionSpecified(boolean)`

### isSetInstitutionSpecified

    public boolean isSetInstitutionSpecified()

  Specified by:
    `isSetInstitutionSpecified` in interface `PIVLTS`
  Returns:
    whether the value of the 'Institution Specified' attribute is set.
  See Also:
    `PIVLTS.unsetInstitutionSpecified()`, `PIVLTS.isInstitutionSpecified()`, `PIVLTS.setInstitutionSpecified(boolean)`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `SXCMTSImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `SXCMTSImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `SXCMTSImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `SXCMTSImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SXCMTSImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD